> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create POS order

> Create POS order



## OpenAPI

````yaml oms_v1 post /api-order/pos/orders
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-order/pos/orders:
    post:
      tags:
        - Order
      summary: Create POS order
      description: Create POS order
      operationId: createPosOrder
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
            example: 0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k
        - $ref: '#/components/parameters/xSiteContent'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - locationId
                - status
                - orderReference
              properties:
                channel:
                  type: number
                  example: 12
                orderReference:
                  type: string
                  example: 1234
                locationId:
                  type: string
                  example: 5efcc26a5ee50d00079ca2ab
                orderTotal:
                  type: number
                  example: 125.33
                taxTotal:
                  type: number
                  example: 5.23
                orderCurrency:
                  type: string
                  example: USD
                status:
                  type: string
                  example: ORDER_CREATED
                statusLog:
                  type: string
                  example: Order has been Shipped
                customerUserId:
                  type: string
                  example: 5e3598e3007c5e00080d2bb8
                customerAccountId:
                  type: string
                  example: 5e3598e3007c5e00080d2bb8
                customerEmail:
                  type: string
                  example: ino@fabric.inc
                customerPhone:
                  type: object
                  properties:
                    number:
                      type: string
                      example: 555-555-5555
                    kind:
                      type: string
                      example: mobile
                shipTo:
                  type: array
                  items:
                    type: object
                    properties:
                      shipToId:
                        type: number
                        example: 1000001
                      shipToType:
                        type: string
                        example: SHIP_TO_ADDRESS
                      address:
                        type: object
                        properties:
                          name:
                            type: object
                            properties:
                              first:
                                type: string
                                example: Mark
                              middle:
                                type: string
                                example: p
                              last:
                                type: string
                                example: styler
                          email:
                            type: string
                            example: mark@google.com
                          phone:
                            type: object
                            properties:
                              number:
                                type: string
                                example: 555-555-5555
                              kind:
                                type: string
                                example: mobile
                          street1:
                            type: string
                            example: 10400 NE 4th St
                          street2:
                            type: string
                            example: Suite 500
                          city:
                            type: string
                            example: Bellevue
                          state:
                            type: string
                            example: WA
                          country:
                            type: string
                            example: USA
                          zipCode:
                            type: string
                            example: 98004
                          kind:
                            type: string
                            example: Ship to address
                      price:
                        type: number
                        example: 24.8723423
                      currency:
                        type: string
                        example: USD
                      estimatedTax:
                        type: number
                        example: 10
                      committedTax:
                        type: number
                        example: 10
                      promosApplied:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              example: test1
                      total:
                        type: number
                        example: 34.87
                      taxCode:
                        type: string
                        example: FR020000
                      shipmentCarrier:
                        type: string
                        example: Fedex
                      shipmentMethod:
                        type: string
                        example: Express
                      shipmentMethodId:
                        type: number
                        example: 10000001
                      promisedDeliveryDate:
                        type: string
                        format: date
                        example: '2021-02-14'
                      shipmentInstructions:
                        type: string
                        example: Leave at back door
                      shipmentStatus:
                        type: string
                        example: Delivered
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            lineItemId:
                              type: number
                              example: 1
                            itemId:
                              type: number
                              example: 1000011127
                            sku:
                              type: string
                              example: 1538910
                            group:
                              type: array
                              items:
                                type: string
                                example: Group1
                            title:
                              type: string
                              example: Luminous Cushion Lagoon
                            quantity:
                              type: number
                              example: 10
                            price:
                              type: number
                              example: 4.5
                            discount:
                              type: number
                              example: 1
                            currency:
                              type: string
                              example: USD
                            shipToId:
                              type: number
                              example: 1000001
                            estimatedTax:
                              type: number
                              example: 10.25
                            committedTax:
                              type: number
                              example: 10.25
                            promosApplied:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: test
                            total:
                              type: string
                              example: 4.54234234
                            taxCode:
                              type: string
                              example: FR020000
                            weight:
                              type: number
                              example: 10
                            weightUnit:
                              type: string
                              example: lb
                      shipments:
                        type: array
                      payments:
                        type: array
                        items:
                          type: object
                          properties:
                            billToId:
                              type: number
                              example: 1000001
                            shipToId:
                              type: array
                              items:
                                type: number
                                example: 1000001
                            paymentIdentifier:
                              type: object
                              properties:
                                cardIdentifier:
                                  type: number
                                  example: 4242
                            paymentMethod:
                              type: string
                              example: Visa
                            paymentToken:
                              type: object
                              properties:
                                token:
                                  type: number
                                  example: 12345689
                            paymentKind:
                              type: string
                              example: Default payment
                            amount:
                              type: number
                              example: 533.33
                            currency:
                              type: string
                              example: USD
                            conversion:
                              type: number
                              example: 1
                            paymentStatus:
                              type: string
                              example: Pending
                            billToAddress:
                              type: object
                              properties:
                                name:
                                  type: object
                                  properties:
                                    first:
                                      type: string
                                      example: Marl
                                    middle:
                                      type: string
                                      example: p
                                    last:
                                      type: string
                                      example: styler
                                email:
                                  type: string
                                  example: mark@google.com
                                phone:
                                  type: object
                                  properties:
                                    number:
                                      type: string
                                      example: 555-555-5555
                                    kind:
                                      type: string
                                      example: mobile
                                street1:
                                  type: string
                                  example: 10400 NE 4th St
                                street2:
                                  type: string
                                  example: Suite 500
                                city:
                                  type: string
                                  example: Bellevue
                                state:
                                  type: string
                                  example: WA
                                country:
                                  type: string
                                  example: USA
                                zipCode:
                                  type: string
                                  example: 98004
                                kind:
                                  type: string
                                  example: Ship to address
      responses:
        '200':
          description: Created POS order
          content:
            application/json:
              schema:
                type: object
                properties:
                  tags:
                    type: array
                  _id:
                    type: string
                    example: 60944ade71cdfc0008a621a2
                  channel:
                    type: number
                    example: 12
                  orderReference:
                    type: string
                    example: testorder
                  orderTotal:
                    type: number
                    example: 125.33
                  taxTotal:
                    type: number
                    example: 5.23
                  orderCurrency:
                    type: string
                    example: USD
                  status:
                    type: string
                    example: ORDER_CREATED
                  statusLog:
                    type: string
                    example: Order has been created
                  customerUserId:
                    type: string
                    example: 5e3598e3007c5e00080d2bb8
                  customerAccountId:
                    type: string
                    example: 5e3598e3007c5e00080d2bb8
                  customerEmail:
                    type: string
                    example: ino@fabric.inc
                  customerPhone:
                    type: object
                    properties:
                      number:
                        type: string
                        example: 555-555-5555
                      kind:
                        type: string
                        example: mobile
                  orderId:
                    type: string
                    example: 7998-1161-63560
                  shipTo:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: object
                          properties:
                            name:
                              type: object
                              properties:
                                first:
                                  type: string
                                  example: Mark
                                middle:
                                  type: string
                                  example: p
                                last:
                                  type: string
                                  example: styler
                            email:
                              type: string
                              example: mark@google.com
                            phone:
                              type: object
                              properties:
                                number:
                                  type: string
                                  example: 555-555-5555
                                kind:
                                  type: string
                                  example: mobile
                            street1:
                              type: string
                              example: 10400 NE 4th St
                            street2:
                              type: string
                              example: Suite 500
                            city:
                              type: string
                              example: Bellevue
                            state:
                              type: string
                              example: WA
                            country:
                              type: string
                              example: USA
                            zipCode:
                              type: string
                              example: 98004
                            kind:
                              type: string
                              example: Ship to address
                        promosApplied:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: test1
                        _id:
                          type: string
                          example: 60944ade71cdfc0008a621a3
                        shipToId:
                          type: number
                          example: 1000001
                        shipToType:
                          type: string
                          example: SHIP_TO_ADDRESS
                        price:
                          type: number
                          example: 24.87
                        currency:
                          type: string
                          example: USD
                        estimatedTax:
                          type: number
                          example: 10
                        committedTax:
                          type: number
                          example: 10
                        total:
                          type: number
                          example: 34.87
                        taxCode:
                          type: string
                          example: FR020000
                        shipmentCarrier:
                          type: string
                          example: Fedex
                        shipmentMethod:
                          type: string
                          example: Express
                        shipmentMethodId:
                          type: string
                          example: 10000001
                        promisedDeliveryDate:
                          type: string
                          example: '2021-02-14T00:00:00.000Z'
                        shipmentInstructions:
                          type: string
                          example: Leave at back door
                        shipmentStatus:
                          type: string
                          example: Delivered
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        group:
                          type: array
                          items:
                            type: string
                            example: Group1
                        promosApplied:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: test
                        _id:
                          type: string
                          example: 60944ade71cdfc0008a621a4
                        lineItemId:
                          type: number
                          example: 1
                        itemId:
                          type: number
                          example: 1000000051
                        priceListId:
                          type: number
                          example: 100003
                        sku:
                          type: string
                          example: 1538910
                        title:
                          type: string
                          example: Luminous Cushion Lagoon
                        quantity:
                          type: number
                          example: 10
                        price:
                          type: number
                          example: 4.5
                        discount:
                          type: number
                          example: 1
                        currency:
                          type: string
                          example: USD
                        shipToId:
                          type: number
                          example: 1000001
                        estimatedTax:
                          type: number
                          example: 10.25
                        committedTax:
                          type: number
                          example: 10.25
                        total:
                          type: number
                          example: 4.54
                        taxCode:
                          type: string
                          example: FR020000
                        weight:
                          type: number
                          example: 10
                        weightUnit:
                          type: string
                          example: lb
                        reservedLocation:
                          type: array
                        attributes:
                          type: array
                  shipments:
                    type: array
                  payments:
                    type: array
                    items:
                      type: object
                      properties:
                        billToAddress:
                          type: object
                          properties:
                            name:
                              type: object
                              properties:
                                first:
                                  type: string
                                  example: Marl
                                middle:
                                  type: string
                                  example: p
                                last:
                                  type: string
                                  example: styler
                            email:
                              type: string
                              example: mark@google.com
                            phone:
                              type: object
                              properties:
                                number:
                                  type: string
                                  example: 555-555-5555
                                kind:
                                  type: string
                                  example: mobile
                            street1:
                              type: string
                              example: 10400 NE 4th St
                            street2:
                              type: string
                              example: Suite 500
                            city:
                              type: string
                              example: Bellevue
                            state:
                              type: string
                              example: WA
                            country:
                              type: string
                              example: USA
                            zipCode:
                              type: string
                              example: 98004
                            kind:
                              type: string
                              example: Ship to address
                        shipToId:
                          type: array
                          items:
                            type: number
                            example: 1000001
                        _id:
                          type: string
                          example: 60944ade71cdfc0008a621a5
                        billToId:
                          type: number
                          example: 1000001
                        paymentIdentifier:
                          type: object
                          properties:
                            cardIdentifier:
                              type: number
                              example: 4242
                        paymentMethod:
                          type: string
                          example: Visa
                        paymentToken:
                          type: object
                          properties:
                            token:
                              type: number
                              example: 12345689
                        paymentKind:
                          type: string
                          example: Default payment
                        amount:
                          type: number
                          example: 533.33
                        currency:
                          type: string
                          example: USD
                        conversion:
                          type: number
                          example: 1
                        paymentStatus:
                          type: string
                          example: Pending
                  revision:
                    type: number
                    example: 0
                  totalQuantity:
                    type: number
                    example: 10
                  statusDescriptions:
                    type: array
                  events:
                    type: array
                  pickups:
                    type: array
                  attributes:
                    type: array
                  createdAt:
                    type: string
                    example: '2021-05-06T20:00:30.143Z'
                  updatedAt:
                    type: string
                    example: '2021-05-06T20:00:30.143Z'
        '400':
          $ref: '#/components/responses/GenericClientError'
        '403':
          $ref: '#/components/responses/MissingXApiKeyHeader'
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    MissingXApiKeyHeader:
      description: Missing x-api-key in header
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                description: The error message
                example: Forbidden
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````